import { Controller } from '@hotwired/stimulus';

export default class extends Controller {
  static targets = ['submitButton', 'fileInput'];

  connect() {
    this.fileInputTarget.addEventListener('change', () => this.updateButtonVisibility());
  }

  disconnect() {
    this.fileInputTarget.removeEventListener('change', () => this.updateButtonVisibility());
  }

  updateButtonVisibility() {
    this.submitButtonTarget.classList.toggle('hidden', this.fileInputTarget.files.length == 0);
  }
}
